# Uses of Class
org.apache.avro.io.ValidatingDecoder

Packages that use ValidatingDecoder
Package
Description
org.apache.avro.io
Utilities for Encoding and Decoding Avro data.

## Uses of ValidatingDecoder in org.apache.avro.io

Subclasses of ValidatingDecoder in org.apache.avro.io
Modifier and Type
Class
Description
`class`
`ResolvingDecoder`
`Decoder` that performs type-resolution between the reader's and writer's schemas.
Methods in org.apache.avro.io that return ValidatingDecoder
Modifier and Type
Method
Description
`ValidatingDecoder`
ValidatingDecoder.`configure(Decoder in)`
Re-initialize, reading from a new underlying Decoder.
`ValidatingDecoder`
DecoderFactory.`validatingDecoder(Schema schema, Decoder wrapped)`
Creates a `ValidatingDecoder` wrapping the Decoder provided.